List scans
curl --request GET \
--url https://aquila.attaxr.com/api/scans \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/scans"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"userId": "<string>",
"target": "<string>",
"type": "<string>",
"scope": [],
"workflowSteps": [],
"status": "pending",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"workflowId": "<string>",
"startedAt": "<unknown>",
"completedAt": "<unknown>",
"error": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}{
"error": "<string>"
}Scans
List scans
List the caller’s scans, newest first. The q search matches the scan target.
GET
/
api
/
scans
List scans
curl --request GET \
--url https://aquila.attaxr.com/api/scans \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/scans"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"userId": "<string>",
"target": "<string>",
"type": "<string>",
"scope": [],
"workflowSteps": [],
"status": "pending",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"workflowId": "<string>",
"startedAt": "<unknown>",
"completedAt": "<unknown>",
"error": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Query Parameters
Case-insensitive contains search.
Page number, 1-based.
Items per page (1-100, default 20).
Sort column (allowlisted).
Available options:
createdAt, updatedAt Sort direction (default desc).
Available options:
asc, desc 
